Page MenuHomePhabricator

Fundraising access request for Sheyna Daniels Major Gifts
Closed, ResolvedPublic

Description

This is a new access request for Sheyna Daniels. They require the following access: (mark each box with an x)

  • civicrm web access
    • standard access
    • donor services access
  • ssh access - if specific hosts: list here
  • mysql - if specific hosts or databases: list here
  • superset
  • other: please explain

New User Procedure / Checklist

When adding a new user to the fundraising / fr-tech ecosystem, we have a set of places where we need to create accounts and access.

Prerequisites

Before we can take any action to add a user, we need to verify that they are authorized to have such access. This requires confirmation from their manager and approval from the C level that access is approved.

[x] user_verification
Requires: user request
[x] access_rights: letter to C level (currently Lisa) verifying grant of access
[x] account name/contact info: verify on https://collab.wikimedia.org/wiki/Fundraising#Contact_List

Accounts and Services

[x] client_ssl_cert
Requires: user_verification
[x] cert_setup: generate cert on frpm1001 using ssl_user_admin
[x] account_setup: sms the user the password for the key
[x] follow_on: assist with certificate installation
[x] civicrm
Requires: client_ssl_cert
[x] account_setup: Create user account. This will notify the user via email to update their password.
[x] follow_on: Verify user can log in to https://civicrm.wikimedia.org

Event Timeline

RLewis created this task.Sep 28 2020, 9:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2020, 9:01 PM
Dwisehaupt updated the task description. (Show Details)Sep 28 2020, 11:42 PM

@Dwisehaupt I've emailed Lisa for approval and cc'd you on the email and i've added Sheyna's details to the Contact List on Collab.

Please let me know if there's anything else I've missed.

Approval received.

Date: Tue, 29 Sep 2020 07:23:09
From: Lisa Gruwell
Subject: Re: C level approval for Sheyna Daniels for Civi
Parts/Attachments:
   1   OK     16 lines  Text
   2 Shown   ~70 lines  Text
----------------------------------------

Approved! 
Dwisehaupt updated the task description. (Show Details)Sep 29 2020, 4:19 PM
Dwisehaupt updated the task description. (Show Details)
Dwisehaupt moved this task from Triage to In Progress on the fundraising-tech-ops board.

SSL client certificate created and sent via email. Password for certificate sent via SMS. Civicrm account created and welcome email sent via civicrm.

Dwisehaupt closed this task as Resolved.Oct 6 2020, 4:43 PM
Dwisehaupt updated the task description. (Show Details)
Dwisehaupt moved this task from In Progress to Done on the fundraising-tech-ops board.

Verified access is good via logs. Closing.

EYener added a subscriber: EYener.Oct 15 2020, 4:44 PM

@RLewis I've added a Superset account for Sheyna as well.

Could you & team please add this on the ticket for new hires in the future as. they get access set up? That way, FR Tech Ops will. be able to set up both at once. Thank you!

@EYener thanks Erin, this makes sense. I'll add that to our on-boarding documentation.